%define name	kde4-kAwOken-icontheme
%define version 1.2
%define release %mkrel 1

Name:           %{name}
Version:	%{version}
Release:	%{release}
License:        GPLv2
Summary:        kAwOken icons theme and customization scripts
Url:		http://kde-look.org/content/show.php/kAwOken?content=143865
Group:          System/GUI/Other
Source0:        kAwOken.tar.xz
Source1:        kAwOkenDark.tar.xz
Source2:        kAwOkenWhite.tar.xz
Requires:	ImageMagick
Requires:	zenity
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%package white
Requires: %{name} = %{version}
Summary: kAwOken-White
Group:          System/GUI/Other

%package dark
Requires: %{name} = %{version}
Summary: kAwOken-Dark
Group:          System/GUI/Other

%description
kAwOken icons theme and customization scripts. 

KDE4 themes are applied using the "Configure your Desktop" (systemsettings) GUI; 
Follow the menus "Common Appearance & Behavior" > "Application Appearance" > "Icons" and select the theme you would like to apply.

QUICK CUSTOMIZATION INSTRUCTIONS
Run the following command in a terminal window and follow instructions provided:

kawoken-icon-theme-customization

Please consider a small donation (1$ goes a long way) via PayPal to "alecive87@gmail.com"

%description dark
The dark variant of the kawOken icon theme with customization scripts.    

KDE4 themes are applied using the "Configure your Desktop" (systemsettings) GUI; 
Follow the menus "Common Appearance & Behavior" > "Application Appearance" > "Icons" and select the theme you would like to apply.

QUICK CUSTOMIZATION INSTRUCTIONS
Run the following command in a terminal window and follow instructions provided:

kawoken-icon-theme-customization

Please consider a small donation (1$ goes a long way) via PayPal to "alecive87@gmail.com"

%description white
The white variant of the kawOken icon theme with customization scripts.

KDE4 themes are applied using the "Configure your Desktop" (systemsettings) GUI; 
Follow the menus "Common Appearance & Behavior" > "Application Appearance" > "Icons" and select the theme you would like to apply.

QUICK CUSTOMIZATION INSTRUCTIONS
Run the following command in a terminal window and follow instructions provided:

kawoken-icon-theme-customization

Please consider a small donation (1$ goes a long way) via PayPal to "alecive87@gmail.com"



%prep
# # The "%setup" command unpacks a source package. Switches include:
# # 
# # -q : Suppress unecessary output. This is commonly used.
# # -n name : If the Source tarball unpacks into a directory whose name is not the RPM name, this switch can be used to 
# #           specify the correct directory name. For example, if the tarball unpacks into the directory FOO, use "%setup -q -n FOO".
# # -c name : If the Source tarball unpacks into multiple directories instead of a single directory, this switch can be used to 
# #           create a directory named name and then unpack into it. 
# # -a number 	Only unpack the Source directive of the given number after changing directory (e.g. "–a 0" for Source0).
# # -b number 	Only unpack the Source directive of the given number before changing directory (e.g. "–b 0" for Source0).
# # -D 	Do not delete the directory before unpacking.
# # -T 	Disable the automatic unpacking of the archives. 
%setup -q -n %{name} -c -T -a 0 -a 1 -a 2


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/icons

cp -r kAwOken* %{buildroot}/%{_datadir}/icons

mv kAwOken*/kawoken-icon-theme-customization* %{buildroot}/%{_bindir}

fdupes -s %{buildroot}/%{_datadir}/icons/kAwOken
fdupes -s %{buildroot}/%{_datadir}/icons/kAwOkenDark
fdupes -s %{buildroot}/%{_datadir}/icons/kAwOkenWhite

%files
%defattr(755,root,root)
%{_datadir}/icons/kAwOken
%{_bindir}/kawoken-icon-theme-customization
%{_bindir}/kawoken-icon-theme-customization-clear

%files dark
%defattr(755,root,root)
%{_datadir}/icons/kAwOkenDark
%{_bindir}/kawoken-icon-theme-customization-dark

%files white
%defattr(755,root,root)
%{_datadir}/icons/kAwOkenWhite
%{_bindir}/kawoken-icon-theme-customization-white

%changelog
* Sun Apr 08 2012 Neal <nealbrks0 at gmail dot com> - 1.2-1pclos2012
- process

* Mon Apr 02 2012 travisn000 <travisn000 at gmail> - 1.2-1
- import from suse, fixed permissions, added Requires, recompress original source as tar.xz

